Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455279 - Define _initddir, not _initrddir
Summary: Define _initddir, not _initrddir
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 16:42 UTC by Ville Skyttä
Modified: 2010-10-14 11:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 09:59:02 UTC


Attachments (Terms of Use)
Define _initddir, not _initrddir (deleted)
2008-07-14 16:42 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2008-07-14 16:42:34 UTC
rpm 4.5.90+ fixes the ages-old _initrddir misspelling, the canonical name of the
macro is now _initddir.  Even though the old form still works, only the newer
should be defined so that both the old and the new stay in sync.

Patch attached; perhaps guarding it with "Requires: rpm >= 4.5.90" in
redhat-rpm-config wouldn't be a bad idea.

On the other hand, I'm not sure if redefining this _initddir (or _initrddir) is
necessary in redhat-rpm-config at all as inheriting it from rpm's defaults seems
to work just fine, perhaps it could be just removed (no versioned rpm dependency
would be needed in that case)?  Ditto bunch of other *dir macros in
/usr/lib/rpm/macros.

Comment 1 Ville Skyttä 2008-07-14 16:42:34 UTC
Created attachment 311730 [details]
Define _initddir, not _initrddir

Comment 2 Bug Zapper 2008-11-26 02:33:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Panu Matilainen 2010-02-02 09:59:02 UTC
Removed in current rawhide, rpm defaults to sane %_initddir (and %_initrddir for compatibility) for all versions that we care about, no reason to override it here.

Comment 4 Michael Shigorin 2010-10-14 11:43:28 UTC
Folks, did anyone consider plain %_initdir for clarity instead of all those typos?


Note You need to log in before you can comment on or make changes to this bug.